Bug 1729079 - CVE-2019-12594 dosbox: running a malicious executable in the emulator could result in the execution of arbitrary code [fedora-all]
Summary: CVE-2019-12594 dosbox: running a malicious executable in the emulator could r...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dosbox
Version: 30
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: François Cami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-12594
TreeView+ depends on / blocked
 
Reported: 2019-07-11 11:09 UTC by Marian Rehak
Modified: 2019-10-25 10:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 10:58:54 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-11 11:09:17 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2019-07-11 11:09:19 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1729078,1729079

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 François Cami 2019-10-10 21:04:59 UTC
Taking, will fix.

Comment 3 François Cami 2019-10-10 21:24:18 UTC
Upstream changelog for dosbox-0.74-3 is at: https://sourceforge.net/projects/dosbox/files/dosbox/0.74-3/

Changelog extract of 0.74-3:
"""
A security release for DOSBox 0.74:
- Fixed that a very long line inside a bat file would overflow the parsing 
  buffer (CVE-2019-7165 by Alexandre Bartel)
- Added a basic permission system so that a program running inside DOSBox 
  can't access the contents of /proc (e.g. /proc/self/mem) when / or /proc
  were (to be) mounted (CVE-2019-12594 by Alexandre Bartel)  
- Several other fixes for out of bounds access and buffer overflows.
"""

I've just double-checked the tarball for DOSBox 0.74-3 and it contains both:
https://sourceforge.net/p/dosbox/code-0/4236/tree//dosbox/branches/0_74_3/src/misc/programs.cpp?diff=5049d97e71b75b3379a0122d:4235
and
https://sourceforge.net/p/dosbox/code-0/4246/tree//dosbox/branches/0_74_3/configure.ac?diff=5049d97e71b75b3379a0122d:4245
which are mentioned as the diffs to backport for both recent CVEs in https://sourceforge.net/p/dosbox/bugs/508/

Fedora 30 got the complete DOSBox 0.74-3 update on 2019-7-4:
https://bodhi.fedoraproject.org/updates/FEDORA-2019-6b86d0f1c0
and it hit stable on 2019-7-8.

Comment 5 Marian Rehak 2019-10-23 13:23:22 UTC
Hello,

Yes this checks out, thank you for noticing and I'm sorry for the confusion.

I created fedora-29 only tracker for this issue, which has the older version dosbox-0.74.2-2.
https://bugzilla.redhat.com/show_bug.cgi?id=1764620

Best regards.
Marian

Comment 6 François Cami 2019-10-23 13:59:46 UTC
So it's good to track CVEs across multiple branches, but Fedora 29 already has the fix in updates-testing:
https://bodhi.fedoraproject.org/updates/FEDORA-2019-32f7cd9b66
just like EPEL7 has:
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-12067fc897

Both would update these distributions to 0.74-3.
Both were opened on 2019-7-4 (same day as the update for f30.
They are both missing karma proving there has been no community testing.

Could you make sure to check available updates in Bodhi before opening new bugs please?

Comment 7 Marian Rehak 2019-10-25 10:51:41 UTC
Thank you for explaining that and for the link. I surely will try to check that before opening new trackers!

Comment 8 François Cami 2019-10-25 10:58:54 UTC
Thanks Marian, much appreciated.
I'm closing this bug too.


Note You need to log in before you can comment on or make changes to this bug.